# Fetch merchant wallet whitelist

<mark style="color:green;">`POST`</mark> `https://app.thedex.cloud/api/v1/preferences/merchant/whitelist/wallets`

#### Headers

| Name                                             | Type   | Description                        |
| ------------------------------------------------ | ------ | ---------------------------------- |
| X-EX-APIKEY<mark style="color:red;">\*</mark>    | String | Your API key                       |
| X-EX-PAYLOAD<mark style="color:red;">\*</mark>   | String | Body to base64                     |
| X-EX-SIGNATURE<mark style="color:red;">\*</mark> | String | Encrypted body with the secret key |

#### Request Body (empty JSON)

```
{ }
```

**Request JSON attributes**

| Name | Type | Description |
| ---- | ---- | ----------- |
| -    | -    | -           |

**Response Body**

{% tabs %}
{% tab title="200 merchant wallet whitelist" %}

```json
[
   "wallet_address_1",
   "wallet_address_2",
   ...
]
```

{% endtab %}
{% endtabs %}

**Response JSON attributes**

<table><thead><tr><th>Name</th><th width="149">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>"wallet_address"</code></td><td><code>"String"</code></td><td>Address of wallet that is whitelisted</td></tr></tbody></table>

**Request Curl**&#x20;

```powershell
curl --location 'https://app.thedex.cloud/api/v1/preferences/merchant/whitelist/wallets' \
--header 'X-EX-APIKEY: <string>' \
--header 'X-EX-PAYLOAD: <string>' \
--header 'X-EX-SIGNATURE: <string>' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{
}'
```

**Example Curl**

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/preferences/merchant/whitelist/wallets' \
--header 'X-EX-APIKEY: abcd1234apikeyexample' \
--header 'X-EX-PAYLOAD: e30=' \
--header 'X-EX-SIGNATURE: 123abc456def789ghi012jkl345mno678pqr901stu234vwx567yz890' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thedex.cloud/documentation/merchant-preferences/fetch-merchant-wallet-whitelist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
